// Copyright (c) 2017 Douglas Miller <durgadas311@gmail.com>
import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class EPROM extends JButton {

	String name;
	String prop;
	File value;

	public EPROM(String label, String name, String prop) {
		super(label);
		this.name = name;
		this.prop = prop;
		setPreferredSize(new Dimension(150, 60));
		setBackground(new Color(50, 50, 50));
		setForeground(Color.white);
		setToolTipText(name);
		setValue(null);
	}

	public String getName() { return name; }
	public String getPropertyName() { return prop; }

	public File getValue() { return value; }
	public void setValue(File v) {
		// TODO: any visual cues?
		value = v;
	}
}
