// Copyright (c) 2017 Douglas Miller <durgadas311@gmail.com>
import java.util.Properties;
import java.awt.*;

// May use Properties or Args
public interface Peripheral {
	boolean isType(String type);
	void setArgs(String args, int num);
	String getArgs(int num);
	void setProperties(Properties props, int num);
	void updateProperties(Properties props, int num);
	void removeProperties(Properties props, int num);
	boolean configure(Component top, int num);
}
