// Copyright (c) 2017 Douglas Miller <durgadas311@gmail.com>
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Serial15 extends JButton {
	static private ImageIcon plug = new ImageIcon(Serial15.class.getResource("icons/jp15_ra_up.png"));
	static private ImageIcon cable = new ImageIcon(Serial15.class.getResource("icons/jp15_ra_up_cable.png"));
	private String value = null;	// port attach string
	private String label = null;
	private String prop = null;

	public Serial15(String label, String prop) {
		super();
		this.label = label;
		this.prop = prop;
		setBorder(null);
		setOpaque(false);
		setContentAreaFilled(false);
		setBorderPainted(false);
		setToolTipText(label);
		setValue(null);
	}

	public void setValue(String val) {
		value = val;
		if (value == null) {
			setIcon(plug);
		} else {
			setIcon(cable);
		}
		repaint();
	}

	public String getValue() {
		return value;
	}

	public String getName() {
		return label;
	}

	public String getPropertyName() {
		return prop;
	}
}
